///////////////////////////////////////////////
// Answer.class
//
// Class representing a possible answer
//
///////////////////////////////////////////////

import java.io.Serializable;

class Answer implements Serializable{
    boolean    CorrectFlag;
    String     PossibleAnswerText;
    transient  boolean    SelectedFlag;

    Answer(){
        CorrectFlag = false;
        SelectedFlag = false;
        PossibleAnswerText = null;
    }


    ////////////////////////////////
    // Accessor Methods
    ////////////////////////////////

    public String toString(){
        return("Poss Ans = " + PossibleAnswerText + " : CorrectFlag = " + CorrectFlag + "SelectedFlag = " + SelectedFlag);
    }


    public String getPossibleAnswerText(){
        return PossibleAnswerText;
    }

    public boolean isSelected(){
        return SelectedFlag;
    }


    public boolean isCorrect(){
        return CorrectFlag;
    }


    /////////////////////////////////
    // Mutator Methods
    /////////////////////////////////

    public void setSelectedAns(){
        SelectedFlag = true;
    }

    public void clearSelectedAns(){
        SelectedFlag = false;
    }

    public void setPossibleAnswerText(String answerText){
        PossibleAnswerText = answerText;
    }

    public void setCorrect(boolean flag){
        CorrectFlag = flag;
    }


}