/////////////////////////////////////////
// TextDisplay.class
//
// Contains a class to display text output.
//
// 31may99 Converted to JDialog
////////////////////////////////////////

import java.awt.Color;
import javax.swing.JFrame;
import javax.swing.JTextArea;
import javax.swing.JScrollPane;
import javax.swing.JDialog;


public final class TextDisplay extends JDialog{
    JTextArea textArea;
    JScrollPane pane;
    final int X_SIZE = 600;
    final int Y_SIZE = 400;
   
    public static void main(String args[]){
      
    }

    
    public TextDisplay(JFrame frame, String frameName, boolean modal){
        super(frame, frameName, modal);
  
     
        textArea = new JTextArea(X_SIZE, Y_SIZE);
        textArea.setEditable(false);
        textArea.setLineWrap(true);
        textArea.setWrapStyleWord(true);
        textArea.setOpaque(true);
        //textArea.setBackground(Color.lightGray);
        
        pane = new JScrollPane(textArea);
        pane.setViewportView(textArea);
   
        this.getContentPane().add(pane);
        
        
    }
    
    
    public void appendText(String text){
        textArea.append(text);
    }
    
    public void display(boolean visible, boolean resizable){
        this.setSize(X_SIZE, Y_SIZE);
        this.setVisible(visible);
        this.setResizable(resizable);
    }
    
    public void display(){
        display(true, true);
    }
        
    
    
}
        
    
    
    
    